package com.chuanxia.mcp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chuanxia.mcp.bean.dto.UaQueryDto;
import com.chuanxia.mcp.bean.model.CdnUa;
import com.chuanxia.mcp.bean.vo.Result;

public interface CdnUaService extends IService<CdnUa> {
    Result<IPage<CdnUa>> listPage(UaQueryDto queryDto);

    Result<String> saveUa(CdnUa ua);

    Result<String> updateUa(CdnUa ua);
}
